package com.goldenwater.slgc.mapper;

import java.util.List;
import com.goldenwater.slgc.domain.AttDiscBase;
import org.apache.ibatis.annotations.Mapper;

/** 消力池信息 Mapper */
@Mapper
public interface AttDiscBaseMapper {
    /**
     * 查询消力池信息列表
     * 
     * @param attDiscBase 查询条件
     * @return 消力池信息列表
     */
    public List<AttDiscBase> selectAttDiscBaseList(AttDiscBase attDiscBase);

    /**
     * 通过消力池编码查询消力池信息
     * 
     * @param discCode 消力池编码
     * @return 消力池信息
     */
    public AttDiscBase selectAttDiscBaseById(String discCode);

    /**
     * 通过消力池编码删除消力池信息
     * 
     * @param discCode 消力池编码
     * @return 影响行数
     */
    public int deleteAttDiscBaseById(String discCode);

    /**
     * 批量删除消力池信息
     * 
     * @param discCodes 消力池编码数组
     * @return 影响行数
     */
    public int deleteAttDiscBaseByIds(String[] discCodes);

    /**
     * 修改消力池信息
     * 
     * @param attDiscBase 消力池信息
     * @return 影响行数
     */
    public int updateAttDiscBase(AttDiscBase attDiscBase);

    /**
     * 新增消力池信息
     * 
     * @param attDiscBase 消力池信息
     * @return 影响行数
     */
    public int insertAttDiscBase(AttDiscBase attDiscBase);
}
